bandwidth {RBGL} | R Documentation

## Compute bandwidth for an undirected graph

### Description

Compute bandwidth for an undirected graph

### Usage

    bandwidth(g)

### Arguments

`g` | an instance of the `graph` class with `edgemode` “undirected”

### Details

The bandwidth of an undirected graph G=(V, E) is the maximum distance between two adjacent vertices. See documentation on bandwidth in Boost Graph Library for more details.

### Value

`bandwidth` | the bandwidth of the given graph

### Author(s)

Li Long <li.long@isb-sib.ch>

### References

Boost Graph Library by Siek et al.

### See Also

### Examples

    coex <- fromGXL(file(system.file("XML/dijkex.gxl",package="RBGL"), open="r"))
    coex <- ugraph(coex)
    bandwidth(coex)

[Package RBGL version 1.10.0 Index]